#include <bits/stdc++.h>
#define mp make_pair
using namespace std;

long long n, a[200000], b[50], q, t, k, x;

int main() {
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    cout<<8<<'\n'<<2<<'\n'<<3<<' '<<5<<'\n'<<0;
    return 0;
}